# ACE_RMCast::Reassemble Class Reference

`#include <Reassemble.h>`

Inheritance diagram for ACE_RMCast::Reassemble:

[legend]
Collaboration diagram for ACE_RMCast::Reassemble:

[legend]
List of all members.

## Public Member Functions

| Reassemble (Parameters const &params)
virtual void | recv (Message_ptr m)

## Private Types

typedef ACE_Hash_Map_Manager_Ex< Address, Data_ptr, AddressHasher, ACE_Equal_To< Address >, ACE_Null_Mutex > | Map

## Private Attributes

Parameters const & | params_
Map | map_

## Member Typedef Documentation

typedef ACE_Hash_Map_Manager_Ex<Address, Data_ptr, AddressHasher, ACE_Equal_To<Address>, ACE_Null_Mutex> ACE_RMCast::Reassemble::Map`[private]`

## Constructor & Destructor Documentation

ACE_RMCast::Reassemble::Reassemble | ( | Parameters const & | params | ) |

## Member Function Documentation

void ACE_RMCast::Reassemble::recv | ( | Message_ptr | m | ) | `[virtual]`

| Reimplemented from ACE_RMCast::In_Element.

## Member Data Documentation

Map ACE_RMCast::Reassemble::map_`[private]`

Parameters const& ACE_RMCast::Reassemble::params_`[private]`

The documentation for this class was generated from the following files:

- Reassemble.h
- Reassemble.cpp